| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::RatingWidget Class Reference
Inheritance diagram for Digikam::RatingWidget:

## Signals
void | signalRatingChanged (int)
void | signalRatingModified (int)
| Not managed by tracking properties.

## Public Member Functions
| RatingWidget (QWidget *const parent)
bool | hasFading () const
bool | hasTracking () const
int | maximumVisibleWidth () const
int | rating () const
void | setFading (bool fading)
void | setRating (int val)
void | setTracking (bool tracking)
void | setVisible (bool visible) override
void | setVisibleImmediately ()
void | startFading ()
void | stopFading ()

## Static Public Member Functions
static QIcon | buildIcon (int rate, int size)
static QPolygon | starPolygon ()
| Pre-computed star polygon for a 15x15 pixmap.

## Protected Slots
void | setFadingValue (int value)

## Protected Member Functions
void | applyFading (QPixmap &pix)
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override
void | regeneratePixmaps ()
int | regPixmapWidth () const
void | setupTimeLine ()
QPixmap | starPixmap () const
QPixmap | starPixmapDisabled () const
QPixmap | starPixmapFilled () const